Vulnerabilities in Adobe Acrobat Reader DC